### Constructor

# Shumate VectorRenderer new

#### Declaration [src]

    ShumateVectorRenderer*
    shumate_vector_renderer_new (
      const char* id,
      const char* style_json,
      GError** error
    )

#### Description [src]

Creates a new `ShumateVectorRenderer` from the given JSON style.

The stylesheet should contain a list of tile sources. Tiles will be downloaded using `ShumateTileDownloader`s.

See the MapLibre Style Specification for details on `style_json`, but be aware that libshumate does not support every feature of the specification.

#### Parameters

`id` | `const char*`
| An ID for the map source.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`style_json` | `const char*`
| A vector style.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `ShumateVectorRenderer`
| A newly constructed `ShumateVectorRenderer`, or `NULL` if `error` is set.
| The caller of the function takes ownership of the data, and is responsible for freeing it.